import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Scanner;

public class TextFileIO {

	public static void main(String[] args) {

		try {
//			BufferedReader br = new BufferedReader(new FileReader(new File("./names.txt")));
			FileReader fr = new FileReader(new File("./names.txt"));
			BufferedReader br = new BufferedReader(fr);
			
//			FileWriter fw = new FileWriter(new File("./names-modified.txt"), true);
			FileWriter fw = new FileWriter(new File("./names-years.txt"));
			BufferedWriter bw = new BufferedWriter(fw);
			PrintWriter pw = new PrintWriter(bw);
			
			String line = br.readLine();
			while(line != null) {
				// do something
//				System.out.println(line);
				Scanner scan = new Scanner(line);
				String firstName = scan.next();
				String lastName = scan.next();
				int age = scan.nextInt();
				Person p = new Person(firstName, lastName, age);
//				System.out.println(p);
				
				pw.println(p.toString());
				
				line = br.readLine();
			}
			
			pw.close();
			
		} catch (FileNotFoundException e) {
			System.out.println("File not found.");
		} catch (IOException e) {
			System.out.println("Something went wrong...");
		}
		
	}

}
